org.bdgenomics.adam.models

# CDS

#### case class CDS(transcriptId: String, strand: Boolean, region: ReferenceRegion) extends BlockExtractable with Product with Serializable

Coding Sequence annotations, should be a subset of an Exon for a particular Transcript

transcriptId
strand
region

Linear Supertypes
Serializable, Serializable, Product, Equals, BlockExtractable, Extractable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CDS
2. Serializable
3. Serializable
4. Product
5. Equals
6. BlockExtractable
7. Extractable
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new CDS(transcriptId: String, strand: Boolean, region: ReferenceRegion)

   transcriptId
   strand
   region

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def extractSequence(referenceSequence: String): String

   Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

   Returns the subset of the given referenceSequence that corresponds to this Extractable (not necessarily a contiguous substring, and possibly reverse- complemented or transformed in other ways).

   referenceSequence

     The reference sequence (e.g. chromosomal sequence) with respect to which the Extractable's coordinates or locators are given

   returns

     the String representation of this Extractable

   Definition Classes
     BlockExtractable → Extractable

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val region: ReferenceRegion

17. #### val strand: Boolean

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### val transcriptId: String

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from BlockExtractable

### Inherited from Extractable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped